> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Resized Image by Path

> Returns transformations on a document. For example, resizing an image. By Path



## OpenAPI

````yaml /openapi/openapi_content.json get /content/documentlists/{documentListName}/documentTree/{documentName}/transform
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}/documentTree/{documentName}/transform:
    get:
      tags:
        - Documents
      summary: Get Resized Image by Path
      description: >-
        Returns transformations on a document. For example, resizing an image.
        By Path
      parameters:
        - description: ''
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: ''
          in: path
          name: documentName
          required: true
          schema:
            type: string
        - description: ''
          in: query
          name: width
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: height
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: max
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: maxWidth
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: maxHeight
          schema:
            format: int32
            type: integer
        - description: ''
          in: query
          name: crop
          schema:
            type: string
        - in: query
          name: quality
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````